## org.hibernate.type.descriptor.java
Class TimeZoneTypeDescriptor.TimeZoneComparator

    java.lang.Object
      org.hibernate.type.descriptor.java.TimeZoneTypeDescriptor.TimeZoneComparator

All Implemented Interfaces:
  Comparator<TimeZone>

Enclosing class:
  TimeZoneTypeDescriptor

    public static class TimeZoneTypeDescriptor.TimeZoneComparator

extends Object
implements Comparator<TimeZone>

Field Summary
`static TimeZoneTypeDescriptor.TimeZoneComparator` `INSTANCE`

Constructor Summary
`TimeZoneTypeDescriptor.TimeZoneComparator()`

Method Summary
`int` `compare(TimeZone o1, TimeZone o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final TimeZoneTypeDescriptor.TimeZoneComparator INSTANCE

Constructor Detail

### TimeZoneTypeDescriptor.TimeZoneComparator

    public TimeZoneTypeDescriptor.TimeZoneComparator()

Method Detail

### compare

    public int compare(TimeZone o1,
                       TimeZone o2)

  Specified by:
    `compare` in interface `Comparator<TimeZone>`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.